a9d24de2c352cef703e4711bb50798c85d2e1dca
[scilab.git] / scilab / modules / types / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) DIGITEO - 2010 - Allan CORNET
20 # Copyright (C) DIGITEO - 2010 - Bruno JOFRET
21 #
22 # Copyright (C) 2012 - 2016 - Scilab Enterprises
23 #
24 # This file is hereby licensed under the terms of the GNU GPL v2.0,
25 # pursuant to article 5.3.4 of the CeCILL v.2.1.
26 # This file was originally licensed under the terms of the CeCILL v2.1,
27 # and continues to be available under such terms.
28 # For more information, see the COPYING file which you should have received
29 # along with this program.
30 #
31
32 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
33 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
34 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
35 #
36 # Copyright (C) 2012 - 2016 - Scilab Enterprises
37 #
38 # This file is hereby licensed under the terms of the GNU GPL v2.0,
39 # pursuant to article 5.3.4 of the CeCILL v.2.1.
40 # This file was originally licensed under the terms of the CeCILL v2.1,
41 # and continues to be available under such terms.
42 # For more information, see the COPYING file which you should have received
43 # along with this program.
44 #
45
46 ##########
47 ### Makefile included stuff
48 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
49 ##########
50
51
52 VPATH = @srcdir@
53 am__is_gnu_make = { \
54   if test -z '$(MAKELEVEL)'; then \
55     false; \
56   elif test -n '$(MAKE_HOST)'; then \
57     true; \
58   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
59     true; \
60   else \
61     false; \
62   fi; \
63 }
64 am__make_running_with_option = \
65   case $${target_option-} in \
66       ?) ;; \
67       *) echo "am__make_running_with_option: internal error: invalid" \
68               "target option '$${target_option-}' specified" >&2; \
69          exit 1;; \
70   esac; \
71   has_opt=no; \
72   sane_makeflags=$$MAKEFLAGS; \
73   if $(am__is_gnu_make); then \
74     sane_makeflags=$$MFLAGS; \
75   else \
76     case $$MAKEFLAGS in \
77       *\\[\ \   ]*) \
78         bs=\\; \
79         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
80           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
81     esac; \
82   fi; \
83   skip_next=no; \
84   strip_trailopt () \
85   { \
86     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
87   }; \
88   for flg in $$sane_makeflags; do \
89     test $$skip_next = yes && { skip_next=no; continue; }; \
90     case $$flg in \
91       *=*|--*) continue;; \
92         -*I) strip_trailopt 'I'; skip_next=yes;; \
93       -*I?*) strip_trailopt 'I';; \
94         -*O) strip_trailopt 'O'; skip_next=yes;; \
95       -*O?*) strip_trailopt 'O';; \
96         -*l) strip_trailopt 'l'; skip_next=yes;; \
97       -*l?*) strip_trailopt 'l';; \
98       -[dEDm]) skip_next=yes;; \
99       -[JT]) skip_next=yes;; \
100     esac; \
101     case $$flg in \
102       *$$target_option*) has_opt=yes; break;; \
103     esac; \
104   done; \
105   test $$has_opt = yes
106 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
107 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
108 pkgdatadir = $(datadir)/@PACKAGE@
109 pkgincludedir = $(includedir)/@PACKAGE@
110 pkglibdir = $(libdir)/@PACKAGE@
111 pkglibexecdir = $(libexecdir)/@PACKAGE@
112 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
113 install_sh_DATA = $(install_sh) -c -m 644
114 install_sh_PROGRAM = $(install_sh) -c
115 install_sh_SCRIPT = $(install_sh) -c
116 INSTALL_HEADER = $(INSTALL_DATA)
117 transform = $(program_transform_name)
118 NORMAL_INSTALL = :
119 PRE_INSTALL = :
120 POST_INSTALL = :
121 NORMAL_UNINSTALL = :
122 PRE_UNINSTALL = :
123 POST_UNINSTALL = :
124 build_triplet = @build@
125 host_triplet = @host@
126 @NEED_JAVA_TRUE@am__append_1 = java
127 @GIWS_TRUE@am__append_2 = giws
128 @GUI_TRUE@am__append_3 = libscitypes-java.la
129 @SWIG_TRUE@am__append_4 = swig
130 check_PROGRAMS = testTypes$(EXEEXT)
131 TESTS = testTypes$(EXEEXT)
132 subdir = modules/types
133 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
134 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
135         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
136         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
137         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
138         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
139         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
140         $(top_srcdir)/m4/intel_compiler.m4 \
141         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
142         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
143         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
144         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
145         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
146         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
147         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
148         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
149         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
150         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
151         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
152 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
153         $(ACLOCAL_M4)
154 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
155 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
156 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
157 CONFIG_CLEAN_FILES =
158 CONFIG_CLEAN_VPATH_FILES =
159 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
160 am__vpath_adj = case $$p in \
161     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
162     *) f=$$p;; \
163   esac;
164 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
165 am__install_max = 40
166 am__nobase_strip_setup = \
167   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
168 am__nobase_strip = \
169   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
170 am__nobase_list = $(am__nobase_strip_setup); \
171   for p in $$list; do echo "$$p $$p"; done | \
172   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
173   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
174     if (++n[$$2] == $(am__install_max)) \
175       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
176     END { for (dir in files) print dir, files[dir] }'
177 am__base_list = \
178   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
179   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
180 am__uninstall_files_from_dir = { \
181   test -z "$$files" \
182     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
183     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
184          $(am__cd) "$$dir" && rm -f $$files; }; \
185   }
186 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
187         "$(DESTDIR)$(libscitypes_la_etcdir)" \
188         "$(DESTDIR)$(libscitypes_la_rootdir)" \
189         "$(DESTDIR)$(libscitypes_la_sci_gatewaydir)"
190 LTLIBRARIES = $(pkglib_LTLIBRARIES)
191 libscitypes_java_la_DEPENDENCIES =  \
192         $(top_builddir)/modules/commons/libscicommons.la \
193         $(top_builddir)/modules/jvm/libscijvm.la
194 am__dirstamp = $(am__leading_dot)dirstamp
195 am__objects_1 = src/jni/libscitypes_java_la-getScilabVariable_wrap.lo
196 am__objects_2 = src/cpp/libscitypes_java_la-ScilabToJava.lo \
197         src/jni/libscitypes_java_la-ScilabVariables.lo \
198         src/jni/libscitypes_java_la-ScilabVariablesRefresh.lo \
199         src/jni/libscitypes_java_la-ScilabPolynomialToJava.lo
200 am_libscitypes_java_la_OBJECTS = $(am__objects_1) $(am__objects_2)
201 libscitypes_java_la_OBJECTS = $(am_libscitypes_java_la_OBJECTS)
202 AM_V_lt = $(am__v_lt_@AM_V@)
203 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
204 am__v_lt_0 = --silent
205 am__v_lt_1 = 
206 @GUI_TRUE@am_libscitypes_java_la_rpath = -rpath $(pkglibdir)
207 am_testTypes_OBJECTS = src/cpp/testTypes-test-types.$(OBJEXT)
208 testTypes_OBJECTS = $(am_testTypes_OBJECTS)
209 testTypes_DEPENDENCIES = $(top_builddir)/modules/ast/libsciast.la
210 AM_V_P = $(am__v_P_@AM_V@)
211 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
212 am__v_P_0 = false
213 am__v_P_1 = :
214 AM_V_GEN = $(am__v_GEN_@AM_V@)
215 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
216 am__v_GEN_0 = @echo "  GEN     " $@;
217 am__v_GEN_1 = 
218 AM_V_at = $(am__v_at_@AM_V@)
219 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
220 am__v_at_0 = @
221 am__v_at_1 = 
222 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
223 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
224 am__maybe_remake_depfiles = depfiles
225 am__depfiles_remade =  \
226         src/cpp/$(DEPDIR)/libscitypes_java_la-ScilabToJava.Plo \
227         src/cpp/$(DEPDIR)/testTypes-test-types.Po \
228         src/jni/$(DEPDIR)/libscitypes_java_la-ScilabPolynomialToJava.Plo \
229         src/jni/$(DEPDIR)/libscitypes_java_la-ScilabVariables.Plo \
230         src/jni/$(DEPDIR)/libscitypes_java_la-ScilabVariablesRefresh.Plo \
231         src/jni/$(DEPDIR)/libscitypes_java_la-getScilabVariable_wrap.Plo
232 am__mv = mv -f
233 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
234         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
235 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
236         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
237         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
238         $(AM_CFLAGS) $(CFLAGS)
239 AM_V_CC = $(am__v_CC_@AM_V@)
240 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
241 am__v_CC_0 = @echo "  CC      " $@;
242 am__v_CC_1 = 
243 CCLD = $(CC)
244 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
245         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
246         $(AM_LDFLAGS) $(LDFLAGS) -o $@
247 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
248 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
249 am__v_CCLD_0 = @echo "  CCLD    " $@;
250 am__v_CCLD_1 = 
251 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
252         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
253 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
254         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
255         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
256         $(AM_CXXFLAGS) $(CXXFLAGS)
257 AM_V_CXX = $(am__v_CXX_@AM_V@)
258 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
259 am__v_CXX_0 = @echo "  CXX     " $@;
260 am__v_CXX_1 = 
261 CXXLD = $(CXX)
262 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
263         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
264         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
265 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
266 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
267 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
268 am__v_CXXLD_1 = 
269 SOURCES = $(libscitypes_java_la_SOURCES) $(testTypes_SOURCES)
270 DIST_SOURCES = $(libscitypes_java_la_SOURCES) $(testTypes_SOURCES)
271 am__can_run_installinfo = \
272   case $$AM_UPDATE_INFO_DIR in \
273     n|no|NO) false;; \
274     *) (install-info --version) >/dev/null 2>&1;; \
275   esac
276 DATA = $(libscitypes_la_etc_DATA) $(libscitypes_la_root_DATA) \
277         $(libscitypes_la_sci_gateway_DATA)
278 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
279 # Read a list of newline-separated strings from the standard input,
280 # and print each of them once, without duplicates.  Input order is
281 # *not* preserved.
282 am__uniquify_input = $(AWK) '\
283   BEGIN { nonempty = 0; } \
284   { items[$$0] = 1; nonempty = 1; } \
285   END { if (nonempty) { for (i in items) print i; }; } \
286 '
287 # Make sure the list of sources is unique.  This is necessary because,
288 # e.g., the same source file might be shared among _SOURCES variables
289 # for different programs/libraries.
290 am__define_uniq_tagged_files = \
291   list='$(am__tagged_files)'; \
292   unique=`for i in $$list; do \
293     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
294   done | $(am__uniquify_input)`
295 ETAGS = etags
296 CTAGS = ctags
297 am__tty_colors_dummy = \
298   mgn= red= grn= lgn= blu= brg= std=; \
299   am__color_tests=no
300 am__tty_colors = { \
301   $(am__tty_colors_dummy); \
302   if test "X$(AM_COLOR_TESTS)" = Xno; then \
303     am__color_tests=no; \
304   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
305     am__color_tests=yes; \
306   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
307     am__color_tests=yes; \
308   fi; \
309   if test $$am__color_tests = yes; then \
310     red='\e[0;31m'; \
311     grn='\e[0;32m'; \
312     lgn='\e[1;32m'; \
313     blu='\e[1;34m'; \
314     mgn='\e[0;35m'; \
315     brg='\e[1m'; \
316     std='\e[m'; \
317   fi; \
318 }
319 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
320         $(top_srcdir)/config/depcomp \
321         $(top_srcdir)/config/mkinstalldirs
322 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
323 ACLOCAL = @ACLOCAL@
324 ALL_LINGUAS = @ALL_LINGUAS@
325 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
326 AMTAR = @AMTAR@
327 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
328 ANT = @ANT@
329 ANTLR = @ANTLR@
330 AR = @AR@
331 ARPACK_LIBS = @ARPACK_LIBS@
332 ASM3 = @ASM3@
333 AUTOCONF = @AUTOCONF@
334 AUTOHEADER = @AUTOHEADER@
335 AUTOMAKE = @AUTOMAKE@
336 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
337 AWK = @AWK@
338 BATIK = @BATIK@
339 BLAS_CFLAGS = @BLAS_CFLAGS@
340 BLAS_LIBS = @BLAS_LIBS@
341 CC = @CC@
342 CCACHE = @CCACHE@
343 CCDEPMODE = @CCDEPMODE@
344 CFLAGS = @CFLAGS@
345 CHECKSTYLE = @CHECKSTYLE@
346 COBERTURA = @COBERTURA@
347 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
348 COMMONS_IO = @COMMONS_IO@
349 COMMONS_LOGGING = @COMMONS_LOGGING@
350 CPP = @CPP@
351 CPPFLAGS = @CPPFLAGS@
352 CURL_CFLAGS = @CURL_CFLAGS@
353 CURL_CONFIG = @CURL_CONFIG@
354 CURL_LIBS = @CURL_LIBS@
355 CURL_VERSION = @CURL_VERSION@
356 CXX = @CXX@
357 CXXCPP = @CXXCPP@
358 CXXDEPMODE = @CXXDEPMODE@
359 CXXFLAGS = @CXXFLAGS@
360 CYGPATH_W = @CYGPATH_W@
361 DEFS = @DEFS@
362 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
363 DEPDIR = @DEPDIR@
364 DLLTOOL = @DLLTOOL@
365 DOCBOOK_ROOT = @DOCBOOK_ROOT@
366 DOXYGEN_BIN = @DOXYGEN_BIN@
367 DSYMUTIL = @DSYMUTIL@
368 DUMPBIN = @DUMPBIN@
369 ECHO_C = @ECHO_C@
370 ECHO_N = @ECHO_N@
371 ECHO_T = @ECHO_T@
372 ECJ = @ECJ@
373 EGREP = @EGREP@
374 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
375 EXEEXT = @EXEEXT@
376 F77 = @F77@
377 FFLAGS = @FFLAGS@
378 FFTW3_LIB = @FFTW3_LIB@
379 FFTW_ENABLE = @FFTW_ENABLE@
380 FGREP = @FGREP@
381 FLEXDOCK = @FLEXDOCK@
382 FLIBS = @FLIBS@
383 FOP = @FOP@
384 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
385 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
386 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
387 FREEHEP_IO = @FREEHEP_IO@
388 FREEHEP_UTIL = @FREEHEP_UTIL@
389 GENHTML = @GENHTML@
390 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
391 GIWS_BIN = @GIWS_BIN@
392 GLUEGEN2_RT = @GLUEGEN2_RT@
393 GMSGFMT = @GMSGFMT@
394 GMSGFMT_015 = @GMSGFMT_015@
395 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
396 GREP = @GREP@
397 GUI_ENABLE = @GUI_ENABLE@
398 HAMCREST = @HAMCREST@
399 HAVE_CXX11 = @HAVE_CXX11@
400 HDF5_CFLAGS = @HDF5_CFLAGS@
401 HDF5_LIBS = @HDF5_LIBS@
402 HELP_ENABLE = @HELP_ENABLE@
403 INSTALL = @INSTALL@
404 INSTALL_DATA = @INSTALL_DATA@
405 INSTALL_PROGRAM = @INSTALL_PROGRAM@
406 INSTALL_SCRIPT = @INSTALL_SCRIPT@
407 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
408 INTLLIBS = @INTLLIBS@
409 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
410 JAR = @JAR@
411 JAVA = @JAVA@
412 JAVAC = @JAVAC@
413 JAVAC_DEBUG = @JAVAC_DEBUG@
414 JAVADOC = @JAVADOC@
415 JAVAH = @JAVAH@
416 JAVASCI_ENABLE = @JAVASCI_ENABLE@
417 JAVA_ENABLE = @JAVA_ENABLE@
418 JAVA_G = @JAVA_G@
419 JAVA_HOME = @JAVA_HOME@
420 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
421 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
422 JDB = @JDB@
423 JEUCLID_CORE = @JEUCLID_CORE@
424 JGRAPHX = @JGRAPHX@
425 JHALL = @JHALL@
426 JLATEXMATH = @JLATEXMATH@
427 JLATEXMATH_FOP = @JLATEXMATH_FOP@
428 JOGL2 = @JOGL2@
429 JROSETTA_API = @JROSETTA_API@
430 JROSETTA_ENGINE = @JROSETTA_ENGINE@
431 JUNIT4 = @JUNIT4@
432 LAPACK_LIBS = @LAPACK_LIBS@
433 LCOV = @LCOV@
434 LD = @LD@
435 LDFLAGS = @LDFLAGS@
436 LEX = @LEX@
437 LEXLIB = @LEXLIB@
438 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
439 LIBICONV = @LIBICONV@
440 LIBINTL = @LIBINTL@
441 LIBM = @LIBM@
442 LIBOBJS = @LIBOBJS@
443 LIBS = @LIBS@
444 LIBTOOL = @LIBTOOL@
445 LIPO = @LIPO@
446 LN_S = @LN_S@
447 LOGGING_LEVEL = @LOGGING_LEVEL@
448 LOOKS = @LOOKS@
449 LTLIBICONV = @LTLIBICONV@
450 LTLIBINTL = @LTLIBINTL@
451 LTLIBOBJS = @LTLIBOBJS@
452 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
453 LUCENE = @LUCENE@
454 LUCENE_ANALYZER = @LUCENE_ANALYZER@
455 LUCENE_PARSER = @LUCENE_PARSER@
456 MAINT = @MAINT@
457 MAKEINFO = @MAKEINFO@
458 MANIFEST_TOOL = @MANIFEST_TOOL@
459 MATIO_CFLAGS = @MATIO_CFLAGS@
460 MATIO_ENABLE = @MATIO_ENABLE@
461 MATIO_LIBS = @MATIO_LIBS@
462 MKDIR_P = @MKDIR_P@
463 MPI_ENABLE = @MPI_ENABLE@
464 MSGCAT = @MSGCAT@
465 MSGFMT = @MSGFMT@
466 MSGFMT_015 = @MSGFMT_015@
467 MSGMERGE = @MSGMERGE@
468 NM = @NM@
469 NMEDIT = @NMEDIT@
470 OBJDUMP = @OBJDUMP@
471 OBJEXT = @OBJEXT@
472 OCAMLC = @OCAMLC@
473 OCAMLDEP = @OCAMLDEP@
474 OCAMLLEX = @OCAMLLEX@
475 OCAMLOPT = @OCAMLOPT@
476 OCAMLYACC = @OCAMLYACC@
477 OPENMPI_CC = @OPENMPI_CC@
478 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
479 OPENMPI_CXX = @OPENMPI_CXX@
480 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
481 OPENMPI_LIBS = @OPENMPI_LIBS@
482 OPENMP_CFLAGS = @OPENMP_CFLAGS@
483 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
484 OPENMP_ENABLE = @OPENMP_ENABLE@
485 OPENMP_LIBS = @OPENMP_LIBS@
486 OTOOL = @OTOOL@
487 OTOOL64 = @OTOOL64@
488 PACKAGE = @PACKAGE@
489 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
490 PACKAGE_NAME = @PACKAGE_NAME@
491 PACKAGE_STRING = @PACKAGE_STRING@
492 PACKAGE_TARNAME = @PACKAGE_TARNAME@
493 PACKAGE_URL = @PACKAGE_URL@
494 PACKAGE_VERSION = @PACKAGE_VERSION@
495 PATH_SEPARATOR = @PATH_SEPARATOR@
496 PCRE_CFLAGS = @PCRE_CFLAGS@
497 PCRE_CONFIG = @PCRE_CONFIG@
498 PCRE_LIBS = @PCRE_LIBS@
499 PCRE_VERSION = @PCRE_VERSION@
500 PKG_CONFIG = @PKG_CONFIG@
501 POSUB = @POSUB@
502 POW_LIB = @POW_LIB@
503 PYTHON = @PYTHON@
504 RANLIB = @RANLIB@
505 RELOCATABLE = @RELOCATABLE@
506 RT_LIB = @RT_LIB@
507 SAXON = @SAXON@
508 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
509 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
510 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
511 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
512 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
513 SCIRENDERER = @SCIRENDERER@
514 SCIRENDERER_CP = @SCIRENDERER_CP@
515 SCI_CFLAGS = @SCI_CFLAGS@
516 SCI_CXXFLAGS = @SCI_CXXFLAGS@
517 SCI_FFLAGS = @SCI_FFLAGS@
518 SCI_LDFLAGS = @SCI_LDFLAGS@
519 SED = @SED@
520 SET_MAKE = @SET_MAKE@
521 SET_RELOCATABLE = @SET_RELOCATABLE@
522 SHELL = @SHELL@
523 SKINLF = @SKINLF@
524 SPLINT = @SPLINT@
525 STRIP = @STRIP@
526 SWIG_BIN = @SWIG_BIN@
527 SWIG_JAVA = @SWIG_JAVA@
528 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
529 SWIG_SCILAB = @SWIG_SCILAB@
530 TCLTK_LIBS = @TCLTK_LIBS@
531 TCL_INC_PATH = @TCL_INC_PATH@
532 TK_INC_PATH = @TK_INC_PATH@
533 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
534 UMFPACK_ENABLE = @UMFPACK_ENABLE@
535 UMFPACK_LIB = @UMFPACK_LIB@
536 USE_NLS = @USE_NLS@
537 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
538 VALGRIND_LIBS = @VALGRIND_LIBS@
539 VERSION = @VERSION@
540 WITH_OCAML = @WITH_OCAML@
541 WITH_TKSCI = @WITH_TKSCI@
542 XCOS_ENABLE = @XCOS_ENABLE@
543 XGETTEXT = @XGETTEXT@
544 XGETTEXT_015 = @XGETTEXT_015@
545 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
546 XMKMF = @XMKMF@
547 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
548 XML_APIS_EXT = @XML_APIS_EXT@
549 XML_CONFIG = @XML_CONFIG@
550 XML_FLAGS = @XML_FLAGS@
551 XML_LIBS = @XML_LIBS@
552 XML_VERSION = @XML_VERSION@
553 X_CFLAGS = @X_CFLAGS@
554 X_EXTRA_LIBS = @X_EXTRA_LIBS@
555 X_LIBS = @X_LIBS@
556 X_PRE_LIBS = @X_PRE_LIBS@
557 YACC = @YACC@
558 YFLAGS = @YFLAGS@
559 abs_builddir = @abs_builddir@
560 abs_srcdir = @abs_srcdir@
561 abs_top_builddir = @abs_top_builddir@
562 abs_top_srcdir = @abs_top_srcdir@
563 ac_ct_AR = @ac_ct_AR@
564 ac_ct_CC = @ac_ct_CC@
565 ac_ct_CXX = @ac_ct_CXX@
566 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
567 ac_ct_F77 = @ac_ct_F77@
568 am__include = @am__include@
569 am__leading_dot = @am__leading_dot@
570 am__quote = @am__quote@
571 am__tar = @am__tar@
572 am__untar = @am__untar@
573 bindir = @bindir@
574 build = @build@
575 build_alias = @build_alias@
576 build_cpu = @build_cpu@
577 build_os = @build_os@
578 build_vendor = @build_vendor@
579 builddir = @builddir@
580 cxx_present = @cxx_present@
581 datadir = @datadir@
582 datarootdir = @datarootdir@
583 docdir = @docdir@
584 dvidir = @dvidir@
585 exec_prefix = @exec_prefix@
586 host = @host@
587 host_alias = @host_alias@
588 host_cpu = @host_cpu@
589 host_os = @host_os@
590 host_vendor = @host_vendor@
591 htmldir = @htmldir@
592 includedir = @includedir@
593 infodir = @infodir@
594 install_sh = @install_sh@
595 libdir = @libdir@
596 libexecdir = @libexecdir@
597 localedir = @localedir@
598 localstatedir = @localstatedir@
599 mandir = @mandir@
600 mkdir_p = @mkdir_p@
601 oldincludedir = @oldincludedir@
602 pdfdir = @pdfdir@
603 prefix = @prefix@
604 program_transform_name = @program_transform_name@
605 psdir = @psdir@
606 sbindir = @sbindir@
607 sharedstatedir = @sharedstatedir@
608 srcdir = @srcdir@
609 sysconfdir = @sysconfdir@
610 target_alias = @target_alias@
611 top_build_prefix = @top_build_prefix@
612 top_builddir = @top_builddir@
613 top_srcdir = @top_srcdir@
614 yacc_present = @yacc_present@
615
616 #### Target ######
617 modulename = types
618
619 #### types : Conf files ####
620 libscitypes_la_rootdir = $(mydatadir)
621 libscitypes_la_root_DATA = license.txt
622
623 #### types : init scripts ####
624 libscitypes_la_etcdir = $(mydatadir)/etc
625 libscitypes_la_etc_DATA = etc/types.quit \
626                           etc/types.start
627
628
629 # Where all the Scilab stuff is installed (macros, help, ...)
630 mydatadir = $(pkgdatadir)/modules/$(modulename)
631
632 # Set AM_* SCI detected settings
633 AM_CPPFLAGS = $(SCI_CPPFLAGS)
634 AM_CFLAGS = $(SCI_CFLAGS)
635 AM_CXXFLAGS = $(SCI_CXXFLAGS)
636 # append includes to AM_FFLAGS to manage fortran includes
637 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
638
639 # Tag shared libraries with the Scilab version
640 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
641
642 # splint options
643 SPLINT_OPTIONS = -weak -booltype BOOL
644
645 ########################### JAVA ######################################
646 #### We are delegating java compilation to ant... Thanks to that
647 #### the procedure will be the same with Microsoft Windows (C)
648 #### and Linux/Unix
649 #######################################################################
650 TARGETS_ALL = $(am__append_1)
651
652 ################ MACROS ######################
653 # Rule to build a macro
654 # NOT USED  AT THE MOMENT
655 SUFFIXES = .sci 
656
657 ########### INSTALL DOCUMENTATION ###################
658
659 # Install documentation files into the right target
660 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
661 # automake needs the html files to be present which is not the case when
662 # we are building Scilab
663
664 # Where it should be installed
665 pkgdocdir = $(mydatadir)
666
667 # What is the mask of the help source
668 DOCMASKXML = *.xml
669
670 # What is the mask of the MathML sources
671 DOCMASKMML = *.mml
672
673 ########### INSTALL DATA ###################
674 # Install macros, help & demos
675 # Where it should be installed
676 pkgmacrosdir = $(mydatadir)
677 # Which directory we process
678 MACRODIRS = macros/
679 # Mask of the Scilab sources macros
680 MACROMASK = *.sci
681 # Mask of the Scilab executable sources macros
682 MACROBUILDMASK = *.sce
683 # Mask of the Scilab compiled macros
684 MACROBINMASK = *.bin
685 # List of the standard directory for tests
686 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
687 # Where the demos should be installed
688 pkgdemosdir = $(mydatadir)
689 # List of the standard directory for demos
690 DEMOS_DIR = demos
691 # List of the standard directory for examples
692 EXAMPLES_DIR = examples
693 # Where to export JAVA archives (.jar)
694 JARDIR = jar/
695 # JAR files mask
696 JARMASK = *.jar
697 # Chapter file 
698 HELP_CHAPTERDIR = help/
699 HELP_CHAPTERFILE = addchapter.sce
700 HELP_CHAPTERLANG = en_US fr_FR pt_BR
701
702 #### types : include files ####
703 libscitypes_la_includedir = $(pkgincludedir)
704 TYPES_JAVA_C_SOURCES = src/jni/getScilabVariable_wrap.c
705 TYPES_JAVA_CPP_SOURCES = \
706     src/cpp/ScilabToJava.cpp \
707     src/jni/ScilabVariables.cpp \
708     src/jni/ScilabVariablesRefresh.cpp \
709     src/jni/ScilabPolynomialToJava.cpp
710
711 GIWS_WRAPPERS = src/jni/ScilabVariables.giws.xml
712 BUILT_SOURCES = $(am__append_2) $(am__append_4)
713 libscitypes_java_la_CFLAGS = \
714     $(JAVA_JNI_INCLUDE) \
715     -I$(top_srcdir)/modules/ast/includes/ast/ \
716     -I$(top_srcdir)/modules/ast/includes/exps/ \
717     -I$(top_srcdir)/modules/ast/includes/operations/ \
718     -I$(top_srcdir)/modules/ast/includes/parse/ \
719     -I$(top_srcdir)/modules/ast/includes/symbol/ \
720     -I$(top_srcdir)/modules/ast/includes/system_env/ \
721     -I$(top_srcdir)/modules/ast/includes/types/ \
722     -I$(top_srcdir)/modules/ast/includes/analysis/ \
723     -I$(srcdir)/includes
724
725 libscitypes_java_la_CPPFLAGS = \
726     $(JAVA_JNI_INCLUDE) \
727     -I$(srcdir)/src/jni \
728     -I$(srcdir)/src/cpp \
729     -I$(srcdir)/includes \
730     -I$(top_srcdir)/modules/ast/includes/ast/ \
731     -I$(top_srcdir)/modules/ast/includes/exps/ \
732     -I$(top_srcdir)/modules/ast/includes/operations/ \
733     -I$(top_srcdir)/modules/ast/includes/parse/ \
734     -I$(top_srcdir)/modules/ast/includes/symbol/ \
735     -I$(top_srcdir)/modules/ast/includes/system_env/ \
736     -I$(top_srcdir)/modules/ast/includes/types/ \
737     -I$(top_srcdir)/modules/ast/includes/analysis/ \
738     -I$(top_srcdir)/modules/commons/src/jni/ \
739     -I$(top_srcdir)/modules/jvm/includes/ \
740     -I$(top_srcdir)/modules/output_stream/includes/ \
741     -I$(top_srcdir)/modules/api_scilab/includes/ \
742     $(AM_CPPFLAGS)
743
744 pkglib_LTLIBRARIES = $(am__append_3)
745 libscitypes_algo_la_CPPFLAGS = \
746     $(libscitypes_la_CPPFLAGS) \
747     $(AM_CPPFLAGS)
748
749 libscitypes_java_la_LIBADD = \
750                         $(top_builddir)/modules/commons/libscicommons.la \
751                         $(top_builddir)/modules/jvm/libscijvm.la
752
753 libscitypes_java_la_SOURCES = $(TYPES_JAVA_C_SOURCES) $(TYPES_JAVA_CPP_SOURCES)
754
755 # For the code check (splint)
756 CHECK_SRC = $(TYPES_C_SOURCES) $(GATEWAY_C_SOURCES)
757 INCLUDE_FLAGS = $(libscitypes_la_CPPFLAGS)
758
759 #### SWIG Declaration ####
760 SWIG_WRAPPERS = src/jni/sci_types.i \
761                 src/jni/getScilabVariable.i
762
763
764 #### types : gateway declaration ####
765 libscitypes_la_sci_gatewaydir = $(mydatadir)/sci_gateway
766 libscitypes_la_sci_gateway_DATA = 
767 @NEED_JAVA_TRUE@USEANT = 1
768
769 ####################
770 ####################
771 check_INCLUDES = \
772     -Iincludes/ \
773     -Isrc/cpp \
774     -I$(top_srcdir)/modules/ast/includes
775
776 testTypes_SOURCES = src/cpp/test-types.cpp
777 testTypes_CPPFLAGS = $(check_INCLUDES)
778 testTypes_LDADD = $(top_builddir)/modules/ast/libsciast.la
779 all: $(BUILT_SOURCES)
780         $(MAKE) $(AM_MAKEFLAGS) all-am
781
782 .SUFFIXES:
783 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
784 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
785         @for dep in $?; do \
786           case '$(am__configure_deps)' in \
787             *$$dep*) \
788               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
789                 && { if test -f $@; then exit 0; else break; fi; }; \
790               exit 1;; \
791           esac; \
792         done; \
793         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/types/Makefile'; \
794         $(am__cd) $(top_srcdir) && \
795           $(AUTOMAKE) --foreign modules/types/Makefile
796 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
797         @case '$?' in \
798           *config.status*) \
799             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
800           *) \
801             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
802             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
803         esac;
804 $(top_srcdir)/Makefile.incl.am $(am__empty):
805
806 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
807         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
808
809 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
810         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
811 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
812         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
813 $(am__aclocal_m4_deps):
814
815 clean-checkPROGRAMS:
816         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
817         echo " rm -f" $$list; \
818         rm -f $$list || exit $$?; \
819         test -n "$(EXEEXT)" || exit 0; \
820         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
821         echo " rm -f" $$list; \
822         rm -f $$list
823
824 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
825         @$(NORMAL_INSTALL)
826         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
827         list2=; for p in $$list; do \
828           if test -f $$p; then \
829             list2="$$list2 $$p"; \
830           else :; fi; \
831         done; \
832         test -z "$$list2" || { \
833           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
834           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
835           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
836           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
837         }
838
839 uninstall-pkglibLTLIBRARIES:
840         @$(NORMAL_UNINSTALL)
841         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
842         for p in $$list; do \
843           $(am__strip_dir) \
844           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
845           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
846         done
847
848 clean-pkglibLTLIBRARIES:
849         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
850         @list='$(pkglib_LTLIBRARIES)'; \
851         locs=`for p in $$list; do echo $$p; done | \
852               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
853               sort -u`; \
854         test -z "$$locs" || { \
855           echo rm -f $${locs}; \
856           rm -f $${locs}; \
857         }
858 src/jni/$(am__dirstamp):
859         @$(MKDIR_P) src/jni
860         @: > src/jni/$(am__dirstamp)
861 src/jni/$(DEPDIR)/$(am__dirstamp):
862         @$(MKDIR_P) src/jni/$(DEPDIR)
863         @: > src/jni/$(DEPDIR)/$(am__dirstamp)
864 src/jni/libscitypes_java_la-getScilabVariable_wrap.lo:  \
865         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
866 src/cpp/$(am__dirstamp):
867         @$(MKDIR_P) src/cpp
868         @: > src/cpp/$(am__dirstamp)
869 src/cpp/$(DEPDIR)/$(am__dirstamp):
870         @$(MKDIR_P) src/cpp/$(DEPDIR)
871         @: > src/cpp/$(DEPDIR)/$(am__dirstamp)
872 src/cpp/libscitypes_java_la-ScilabToJava.lo: src/cpp/$(am__dirstamp) \
873         src/cpp/$(DEPDIR)/$(am__dirstamp)
874 src/jni/libscitypes_java_la-ScilabVariables.lo:  \
875         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
876 src/jni/libscitypes_java_la-ScilabVariablesRefresh.lo:  \
877         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
878 src/jni/libscitypes_java_la-ScilabPolynomialToJava.lo:  \
879         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
880
881 libscitypes-java.la: $(libscitypes_java_la_OBJECTS) $(libscitypes_java_la_DEPENDENCIES) $(EXTRA_libscitypes_java_la_DEPENDENCIES) 
882         $(AM_V_CXXLD)$(CXXLINK) $(am_libscitypes_java_la_rpath) $(libscitypes_java_la_OBJECTS) $(libscitypes_java_la_LIBADD) $(LIBS)
883 src/cpp/testTypes-test-types.$(OBJEXT): src/cpp/$(am__dirstamp) \
884         src/cpp/$(DEPDIR)/$(am__dirstamp)
885
886 testTypes$(EXEEXT): $(testTypes_OBJECTS) $(testTypes_DEPENDENCIES) $(EXTRA_testTypes_DEPENDENCIES) 
887         @rm -f testTypes$(EXEEXT)
888         $(AM_V_CXXLD)$(CXXLINK) $(testTypes_OBJECTS) $(testTypes_LDADD) $(LIBS)
889
890 mostlyclean-compile:
891         -rm -f *.$(OBJEXT)
892         -rm -f src/cpp/*.$(OBJEXT)
893         -rm -f src/cpp/*.lo
894         -rm -f src/jni/*.$(OBJEXT)
895         -rm -f src/jni/*.lo
896
897 distclean-compile:
898         -rm -f *.tab.c
899
900 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libscitypes_java_la-ScilabToJava.Plo@am__quote@ # am--include-marker
901 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/testTypes-test-types.Po@am__quote@ # am--include-marker
902 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscitypes_java_la-ScilabPolynomialToJava.Plo@am__quote@ # am--include-marker
903 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscitypes_java_la-ScilabVariables.Plo@am__quote@ # am--include-marker
904 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscitypes_java_la-ScilabVariablesRefresh.Plo@am__quote@ # am--include-marker
905 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libscitypes_java_la-getScilabVariable_wrap.Plo@am__quote@ # am--include-marker
906
907 $(am__depfiles_remade):
908         @$(MKDIR_P) $(@D)
909         @echo '# dummy' >$@-t && $(am__mv) $@-t $@
910
911 am--depfiles: $(am__depfiles_remade)
912
913 .c.o:
914 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
915 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
916 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
917 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
918 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
919 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
920
921 .c.obj:
922 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
923 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
924 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
925 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
926 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
927 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
928
929 .c.lo:
930 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
931 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
932 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
933 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
934 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
935 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
936
937 src/jni/libscitypes_java_la-getScilabVariable_wrap.lo: src/jni/getScilabVariable_wrap.c
938 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_java_la_CPPFLAGS) $(CPPFLAGS) $(libscitypes_java_la_CFLAGS) $(CFLAGS) -MT src/jni/libscitypes_java_la-getScilabVariable_wrap.lo -MD -MP -MF src/jni/$(DEPDIR)/libscitypes_java_la-getScilabVariable_wrap.Tpo -c -o src/jni/libscitypes_java_la-getScilabVariable_wrap.lo `test -f 'src/jni/getScilabVariable_wrap.c' || echo '$(srcdir)/'`src/jni/getScilabVariable_wrap.c
939 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscitypes_java_la-getScilabVariable_wrap.Tpo src/jni/$(DEPDIR)/libscitypes_java_la-getScilabVariable_wrap.Plo
940 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/getScilabVariable_wrap.c' object='src/jni/libscitypes_java_la-getScilabVariable_wrap.lo' libtool=yes @AMDEPBACKSLASH@
941 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
942 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_java_la_CPPFLAGS) $(CPPFLAGS) $(libscitypes_java_la_CFLAGS) $(CFLAGS) -c -o src/jni/libscitypes_java_la-getScilabVariable_wrap.lo `test -f 'src/jni/getScilabVariable_wrap.c' || echo '$(srcdir)/'`src/jni/getScilabVariable_wrap.c
943
944 .cpp.o:
945 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
946 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
947 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
948 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
949 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
950 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
951
952 .cpp.obj:
953 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
954 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
955 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
956 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
957 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
958 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
959
960 .cpp.lo:
961 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
962 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
963 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
964 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
965 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
966 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
967
968 src/cpp/libscitypes_java_la-ScilabToJava.lo: src/cpp/ScilabToJava.cpp
969 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_java_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libscitypes_java_la-ScilabToJava.lo -MD -MP -MF src/cpp/$(DEPDIR)/libscitypes_java_la-ScilabToJava.Tpo -c -o src/cpp/libscitypes_java_la-ScilabToJava.lo `test -f 'src/cpp/ScilabToJava.cpp' || echo '$(srcdir)/'`src/cpp/ScilabToJava.cpp
970 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libscitypes_java_la-ScilabToJava.Tpo src/cpp/$(DEPDIR)/libscitypes_java_la-ScilabToJava.Plo
971 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/ScilabToJava.cpp' object='src/cpp/libscitypes_java_la-ScilabToJava.lo' libtool=yes @AMDEPBACKSLASH@
972 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
973 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_java_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libscitypes_java_la-ScilabToJava.lo `test -f 'src/cpp/ScilabToJava.cpp' || echo '$(srcdir)/'`src/cpp/ScilabToJava.cpp
974
975 src/jni/libscitypes_java_la-ScilabVariables.lo: src/jni/ScilabVariables.cpp
976 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_java_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libscitypes_java_la-ScilabVariables.lo -MD -MP -MF src/jni/$(DEPDIR)/libscitypes_java_la-ScilabVariables.Tpo -c -o src/jni/libscitypes_java_la-ScilabVariables.lo `test -f 'src/jni/ScilabVariables.cpp' || echo '$(srcdir)/'`src/jni/ScilabVariables.cpp
977 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscitypes_java_la-ScilabVariables.Tpo src/jni/$(DEPDIR)/libscitypes_java_la-ScilabVariables.Plo
978 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/ScilabVariables.cpp' object='src/jni/libscitypes_java_la-ScilabVariables.lo' libtool=yes @AMDEPBACKSLASH@
979 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
980 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_java_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libscitypes_java_la-ScilabVariables.lo `test -f 'src/jni/ScilabVariables.cpp' || echo '$(srcdir)/'`src/jni/ScilabVariables.cpp
981
982 src/jni/libscitypes_java_la-ScilabVariablesRefresh.lo: src/jni/ScilabVariablesRefresh.cpp
983 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_java_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libscitypes_java_la-ScilabVariablesRefresh.lo -MD -MP -MF src/jni/$(DEPDIR)/libscitypes_java_la-ScilabVariablesRefresh.Tpo -c -o src/jni/libscitypes_java_la-ScilabVariablesRefresh.lo `test -f 'src/jni/ScilabVariablesRefresh.cpp' || echo '$(srcdir)/'`src/jni/ScilabVariablesRefresh.cpp
984 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscitypes_java_la-ScilabVariablesRefresh.Tpo src/jni/$(DEPDIR)/libscitypes_java_la-ScilabVariablesRefresh.Plo
985 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/ScilabVariablesRefresh.cpp' object='src/jni/libscitypes_java_la-ScilabVariablesRefresh.lo' libtool=yes @AMDEPBACKSLASH@
986 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
987 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_java_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libscitypes_java_la-ScilabVariablesRefresh.lo `test -f 'src/jni/ScilabVariablesRefresh.cpp' || echo '$(srcdir)/'`src/jni/ScilabVariablesRefresh.cpp
988
989 src/jni/libscitypes_java_la-ScilabPolynomialToJava.lo: src/jni/ScilabPolynomialToJava.cpp
990 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_java_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libscitypes_java_la-ScilabPolynomialToJava.lo -MD -MP -MF src/jni/$(DEPDIR)/libscitypes_java_la-ScilabPolynomialToJava.Tpo -c -o src/jni/libscitypes_java_la-ScilabPolynomialToJava.lo `test -f 'src/jni/ScilabPolynomialToJava.cpp' || echo '$(srcdir)/'`src/jni/ScilabPolynomialToJava.cpp
991 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libscitypes_java_la-ScilabPolynomialToJava.Tpo src/jni/$(DEPDIR)/libscitypes_java_la-ScilabPolynomialToJava.Plo
992 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/ScilabPolynomialToJava.cpp' object='src/jni/libscitypes_java_la-ScilabPolynomialToJava.lo' libtool=yes @AMDEPBACKSLASH@
993 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
994 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitypes_java_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libscitypes_java_la-ScilabPolynomialToJava.lo `test -f 'src/jni/ScilabPolynomialToJava.cpp' || echo '$(srcdir)/'`src/jni/ScilabPolynomialToJava.cpp
995
996 src/cpp/testTypes-test-types.o: src/cpp/test-types.cpp
997 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(testTypes_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/testTypes-test-types.o -MD -MP -MF src/cpp/$(DEPDIR)/testTypes-test-types.Tpo -c -o src/cpp/testTypes-test-types.o `test -f 'src/cpp/test-types.cpp' || echo '$(srcdir)/'`src/cpp/test-types.cpp
998 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/testTypes-test-types.Tpo src/cpp/$(DEPDIR)/testTypes-test-types.Po
999 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/test-types.cpp' object='src/cpp/testTypes-test-types.o' libtool=no @AMDEPBACKSLASH@
1000 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1001 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(testTypes_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/testTypes-test-types.o `test -f 'src/cpp/test-types.cpp' || echo '$(srcdir)/'`src/cpp/test-types.cpp
1002
1003 src/cpp/testTypes-test-types.obj: src/cpp/test-types.cpp
1004 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(testTypes_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/testTypes-test-types.obj -MD -MP -MF src/cpp/$(DEPDIR)/testTypes-test-types.Tpo -c -o src/cpp/testTypes-test-types.obj `if test -f 'src/cpp/test-types.cpp'; then $(CYGPATH_W) 'src/cpp/test-types.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/test-types.cpp'; fi`
1005 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/testTypes-test-types.Tpo src/cpp/$(DEPDIR)/testTypes-test-types.Po
1006 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/test-types.cpp' object='src/cpp/testTypes-test-types.obj' libtool=no @AMDEPBACKSLASH@
1007 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1008 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(testTypes_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/testTypes-test-types.obj `if test -f 'src/cpp/test-types.cpp'; then $(CYGPATH_W) 'src/cpp/test-types.cpp'; else $(CYGPATH_W) '$(srcdir)/src/cpp/test-types.cpp'; fi`
1009
1010 mostlyclean-libtool:
1011         -rm -f *.lo
1012
1013 clean-libtool:
1014         -rm -rf .libs _libs
1015         -rm -rf src/cpp/.libs src/cpp/_libs
1016         -rm -rf src/jni/.libs src/jni/_libs
1017 install-libscitypes_la_etcDATA: $(libscitypes_la_etc_DATA)
1018         @$(NORMAL_INSTALL)
1019         @list='$(libscitypes_la_etc_DATA)'; test -n "$(libscitypes_la_etcdir)" || list=; \
1020         if test -n "$$list"; then \
1021           echo " $(MKDIR_P) '$(DESTDIR)$(libscitypes_la_etcdir)'"; \
1022           $(MKDIR_P) "$(DESTDIR)$(libscitypes_la_etcdir)" || exit 1; \
1023         fi; \
1024         for p in $$list; do \
1025           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1026           echo "$$d$$p"; \
1027         done | $(am__base_list) | \
1028         while read files; do \
1029           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscitypes_la_etcdir)'"; \
1030           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscitypes_la_etcdir)" || exit $$?; \
1031         done
1032
1033 uninstall-libscitypes_la_etcDATA:
1034         @$(NORMAL_UNINSTALL)
1035         @list='$(libscitypes_la_etc_DATA)'; test -n "$(libscitypes_la_etcdir)" || list=; \
1036         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1037         dir='$(DESTDIR)$(libscitypes_la_etcdir)'; $(am__uninstall_files_from_dir)
1038 install-libscitypes_la_rootDATA: $(libscitypes_la_root_DATA)
1039         @$(NORMAL_INSTALL)
1040         @list='$(libscitypes_la_root_DATA)'; test -n "$(libscitypes_la_rootdir)" || list=; \
1041         if test -n "$$list"; then \
1042           echo " $(MKDIR_P) '$(DESTDIR)$(libscitypes_la_rootdir)'"; \
1043           $(MKDIR_P) "$(DESTDIR)$(libscitypes_la_rootdir)" || exit 1; \
1044         fi; \
1045         for p in $$list; do \
1046           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1047           echo "$$d$$p"; \
1048         done | $(am__base_list) | \
1049         while read files; do \
1050           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscitypes_la_rootdir)'"; \
1051           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscitypes_la_rootdir)" || exit $$?; \
1052         done
1053
1054 uninstall-libscitypes_la_rootDATA:
1055         @$(NORMAL_UNINSTALL)
1056         @list='$(libscitypes_la_root_DATA)'; test -n "$(libscitypes_la_rootdir)" || list=; \
1057         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1058         dir='$(DESTDIR)$(libscitypes_la_rootdir)'; $(am__uninstall_files_from_dir)
1059 install-libscitypes_la_sci_gatewayDATA: $(libscitypes_la_sci_gateway_DATA)
1060         @$(NORMAL_INSTALL)
1061         @list='$(libscitypes_la_sci_gateway_DATA)'; test -n "$(libscitypes_la_sci_gatewaydir)" || list=; \
1062         if test -n "$$list"; then \
1063           echo " $(MKDIR_P) '$(DESTDIR)$(libscitypes_la_sci_gatewaydir)'"; \
1064           $(MKDIR_P) "$(DESTDIR)$(libscitypes_la_sci_gatewaydir)" || exit 1; \
1065         fi; \
1066         for p in $$list; do \
1067           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1068           echo "$$d$$p"; \
1069         done | $(am__base_list) | \
1070         while read files; do \
1071           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscitypes_la_sci_gatewaydir)'"; \
1072           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscitypes_la_sci_gatewaydir)" || exit $$?; \
1073         done
1074
1075 uninstall-libscitypes_la_sci_gatewayDATA:
1076         @$(NORMAL_UNINSTALL)
1077         @list='$(libscitypes_la_sci_gateway_DATA)'; test -n "$(libscitypes_la_sci_gatewaydir)" || list=; \
1078         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1079         dir='$(DESTDIR)$(libscitypes_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1080
1081 ID: $(am__tagged_files)
1082         $(am__define_uniq_tagged_files); mkid -fID $$unique
1083 tags: tags-am
1084 TAGS: tags
1085
1086 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1087         set x; \
1088         here=`pwd`; \
1089         $(am__define_uniq_tagged_files); \
1090         shift; \
1091         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1092           test -n "$$unique" || unique=$$empty_fix; \
1093           if test $$# -gt 0; then \
1094             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1095               "$$@" $$unique; \
1096           else \
1097             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1098               $$unique; \
1099           fi; \
1100         fi
1101 ctags: ctags-am
1102
1103 CTAGS: ctags
1104 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1105         $(am__define_uniq_tagged_files); \
1106         test -z "$(CTAGS_ARGS)$$unique" \
1107           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1108              $$unique
1109
1110 GTAGS:
1111         here=`$(am__cd) $(top_builddir) && pwd` \
1112           && $(am__cd) $(top_srcdir) \
1113           && gtags -i $(GTAGS_ARGS) "$$here"
1114 cscopelist: cscopelist-am
1115
1116 cscopelist-am: $(am__tagged_files)
1117         list='$(am__tagged_files)'; \
1118         case "$(srcdir)" in \
1119           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1120           *) sdir=$(subdir)/$(srcdir) ;; \
1121         esac; \
1122         for i in $$list; do \
1123           if test -f "$$i"; then \
1124             echo "$(subdir)/$$i"; \
1125           else \
1126             echo "$$sdir/$$i"; \
1127           fi; \
1128         done >> $(top_builddir)/cscope.files
1129
1130 distclean-tags:
1131         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1132
1133 check-TESTS: $(TESTS)
1134         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
1135         srcdir=$(srcdir); export srcdir; \
1136         list=' $(TESTS) '; \
1137         $(am__tty_colors); \
1138         if test -n "$$list"; then \
1139           for tst in $$list; do \
1140             if test -f ./$$tst; then dir=./; \
1141             elif test -f $$tst; then dir=; \
1142             else dir="$(srcdir)/"; fi; \
1143             if $(TESTS_ENVIRONMENT) $${dir}$$tst $(AM_TESTS_FD_REDIRECT); then \
1144               all=`expr $$all + 1`; \
1145               case " $(XFAIL_TESTS) " in \
1146               *[\ \     ]$$tst[\ \      ]*) \
1147                 xpass=`expr $$xpass + 1`; \
1148                 failed=`expr $$failed + 1`; \
1149                 col=$$red; res=XPASS; \
1150               ;; \
1151               *) \
1152                 col=$$grn; res=PASS; \
1153               ;; \
1154               esac; \
1155             elif test $$? -ne 77; then \
1156               all=`expr $$all + 1`; \
1157               case " $(XFAIL_TESTS) " in \
1158               *[\ \     ]$$tst[\ \      ]*) \
1159                 xfail=`expr $$xfail + 1`; \
1160                 col=$$lgn; res=XFAIL; \
1161               ;; \
1162               *) \
1163                 failed=`expr $$failed + 1`; \
1164                 col=$$red; res=FAIL; \
1165               ;; \
1166               esac; \
1167             else \
1168               skip=`expr $$skip + 1`; \
1169               col=$$blu; res=SKIP; \
1170             fi; \
1171             echo "$${col}$$res$${std}: $$tst"; \
1172           done; \
1173           if test "$$all" -eq 1; then \
1174             tests="test"; \
1175             All=""; \
1176           else \
1177             tests="tests"; \
1178             All="All "; \
1179           fi; \
1180           if test "$$failed" -eq 0; then \
1181             if test "$$xfail" -eq 0; then \
1182               banner="$$All$$all $$tests passed"; \
1183             else \
1184               if test "$$xfail" -eq 1; then failures=failure; else failures=failures; fi; \
1185               banner="$$All$$all $$tests behaved as expected ($$xfail expected $$failures)"; \
1186             fi; \
1187           else \
1188             if test "$$xpass" -eq 0; then \
1189               banner="$$failed of $$all $$tests failed"; \
1190             else \
1191               if test "$$xpass" -eq 1; then passes=pass; else passes=passes; fi; \
1192               banner="$$failed of $$all $$tests did not behave as expected ($$xpass unexpected $$passes)"; \
1193             fi; \
1194           fi; \
1195           dashes="$$banner"; \
1196           skipped=""; \
1197           if test "$$skip" -ne 0; then \
1198             if test "$$skip" -eq 1; then \
1199               skipped="($$skip test was not run)"; \
1200             else \
1201               skipped="($$skip tests were not run)"; \
1202             fi; \
1203             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
1204               dashes="$$skipped"; \
1205           fi; \
1206           report=""; \
1207           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
1208             report="Please report to $(PACKAGE_BUGREPORT)"; \
1209             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
1210               dashes="$$report"; \
1211           fi; \
1212           dashes=`echo "$$dashes" | sed s/./=/g`; \
1213           if test "$$failed" -eq 0; then \
1214             col="$$grn"; \
1215           else \
1216             col="$$red"; \
1217           fi; \
1218           echo "$${col}$$dashes$${std}"; \
1219           echo "$${col}$$banner$${std}"; \
1220           test -z "$$skipped" || echo "$${col}$$skipped$${std}"; \
1221           test -z "$$report" || echo "$${col}$$report$${std}"; \
1222           echo "$${col}$$dashes$${std}"; \
1223           test "$$failed" -eq 0; \
1224         else :; fi
1225
1226 distdir: $(BUILT_SOURCES)
1227         $(MAKE) $(AM_MAKEFLAGS) distdir-am
1228
1229 distdir-am: $(DISTFILES)
1230         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1231         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1232         list='$(DISTFILES)'; \
1233           dist_files=`for file in $$list; do echo $$file; done | \
1234           sed -e "s|^$$srcdirstrip/||;t" \
1235               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1236         case $$dist_files in \
1237           */*) $(MKDIR_P) `echo "$$dist_files" | \
1238                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1239                            sort -u` ;; \
1240         esac; \
1241         for file in $$dist_files; do \
1242           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1243           if test -d $$d/$$file; then \
1244             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1245             if test -d "$(distdir)/$$file"; then \
1246               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1247             fi; \
1248             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1249               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1250               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1251             fi; \
1252             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1253           else \
1254             test -f "$(distdir)/$$file" \
1255             || cp -p $$d/$$file "$(distdir)/$$file" \
1256             || exit 1; \
1257           fi; \
1258         done
1259 check-am: all-am
1260         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1261         $(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
1262 check: $(BUILT_SOURCES)
1263         $(MAKE) $(AM_MAKEFLAGS) check-am
1264 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1265 installdirs:
1266         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscitypes_la_etcdir)" "$(DESTDIR)$(libscitypes_la_rootdir)" "$(DESTDIR)$(libscitypes_la_sci_gatewaydir)"; do \
1267           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1268         done
1269 install: $(BUILT_SOURCES)
1270         $(MAKE) $(AM_MAKEFLAGS) install-am
1271 install-exec: install-exec-am
1272 install-data: install-data-am
1273 uninstall: uninstall-am
1274
1275 install-am: all-am
1276         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1277
1278 installcheck: installcheck-am
1279 install-strip:
1280         if test -z '$(STRIP)'; then \
1281           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1282             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1283               install; \
1284         else \
1285           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1286             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1287             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1288         fi
1289 mostlyclean-generic:
1290
1291 clean-generic:
1292
1293 distclean-generic:
1294         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1295         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1296         -rm -f src/cpp/$(DEPDIR)/$(am__dirstamp)
1297         -rm -f src/cpp/$(am__dirstamp)
1298         -rm -f src/jni/$(DEPDIR)/$(am__dirstamp)
1299         -rm -f src/jni/$(am__dirstamp)
1300
1301 maintainer-clean-generic:
1302         @echo "This command is intended for maintainers to use"
1303         @echo "it deletes files that may require special tools to rebuild."
1304         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1305 clean: clean-am
1306
1307 clean-am: clean-checkPROGRAMS clean-generic clean-libtool clean-local \
1308         clean-pkglibLTLIBRARIES mostlyclean-am
1309
1310 distclean: distclean-am
1311                 -rm -f src/cpp/$(DEPDIR)/libscitypes_java_la-ScilabToJava.Plo
1312         -rm -f src/cpp/$(DEPDIR)/testTypes-test-types.Po
1313         -rm -f src/jni/$(DEPDIR)/libscitypes_java_la-ScilabPolynomialToJava.Plo
1314         -rm -f src/jni/$(DEPDIR)/libscitypes_java_la-ScilabVariables.Plo
1315         -rm -f src/jni/$(DEPDIR)/libscitypes_java_la-ScilabVariablesRefresh.Plo
1316         -rm -f src/jni/$(DEPDIR)/libscitypes_java_la-getScilabVariable_wrap.Plo
1317         -rm -f Makefile
1318 distclean-am: clean-am distclean-compile distclean-generic \
1319         distclean-local distclean-tags
1320
1321 dvi: dvi-am
1322
1323 dvi-am:
1324
1325 html: html-am
1326
1327 html-am:
1328
1329 info: info-am
1330
1331 info-am:
1332
1333 install-data-am: install-data-local install-libscitypes_la_etcDATA \
1334         install-libscitypes_la_rootDATA \
1335         install-libscitypes_la_sci_gatewayDATA
1336
1337 install-dvi: install-dvi-am
1338
1339 install-dvi-am:
1340
1341 install-exec-am: install-pkglibLTLIBRARIES
1342
1343 install-html: install-html-am
1344
1345 install-html-am: install-html-local
1346
1347 install-info: install-info-am
1348
1349 install-info-am:
1350
1351 install-man:
1352
1353 install-pdf: install-pdf-am
1354
1355 install-pdf-am:
1356
1357 install-ps: install-ps-am
1358
1359 install-ps-am:
1360
1361 installcheck-am:
1362
1363 maintainer-clean: maintainer-clean-am
1364                 -rm -f src/cpp/$(DEPDIR)/libscitypes_java_la-ScilabToJava.Plo
1365         -rm -f src/cpp/$(DEPDIR)/testTypes-test-types.Po
1366         -rm -f src/jni/$(DEPDIR)/libscitypes_java_la-ScilabPolynomialToJava.Plo
1367         -rm -f src/jni/$(DEPDIR)/libscitypes_java_la-ScilabVariables.Plo
1368         -rm -f src/jni/$(DEPDIR)/libscitypes_java_la-ScilabVariablesRefresh.Plo
1369         -rm -f src/jni/$(DEPDIR)/libscitypes_java_la-getScilabVariable_wrap.Plo
1370         -rm -f Makefile
1371 maintainer-clean-am: distclean-am maintainer-clean-generic
1372
1373 mostlyclean: mostlyclean-am
1374
1375 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1376         mostlyclean-libtool
1377
1378 pdf: pdf-am
1379
1380 pdf-am:
1381
1382 ps: ps-am
1383
1384 ps-am:
1385
1386 uninstall-am: uninstall-libscitypes_la_etcDATA \
1387         uninstall-libscitypes_la_rootDATA \
1388         uninstall-libscitypes_la_sci_gatewayDATA \
1389         uninstall-pkglibLTLIBRARIES
1390
1391 .MAKE: all check check-am install install-am install-strip
1392
1393 .PHONY: CTAGS GTAGS TAGS all all-am all-local am--depfiles check \
1394         check-TESTS check-am check-local clean clean-checkPROGRAMS \
1395         clean-generic clean-libtool clean-local \
1396         clean-pkglibLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1397         distclean-compile distclean-generic distclean-libtool \
1398         distclean-local distclean-tags distdir dvi dvi-am html html-am \
1399         info info-am install install-am install-data install-data-am \
1400         install-data-local install-dvi install-dvi-am install-exec \
1401         install-exec-am install-html install-html-am \
1402         install-html-local install-info install-info-am \
1403         install-libscitypes_la_etcDATA install-libscitypes_la_rootDATA \
1404         install-libscitypes_la_sci_gatewayDATA install-man install-pdf \
1405         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1406         install-ps-am install-strip installcheck installcheck-am \
1407         installdirs maintainer-clean maintainer-clean-generic \
1408         mostlyclean mostlyclean-compile mostlyclean-generic \
1409         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1410         uninstall-am uninstall-libscitypes_la_etcDATA \
1411         uninstall-libscitypes_la_rootDATA \
1412         uninstall-libscitypes_la_sci_gatewayDATA \
1413         uninstall-pkglibLTLIBRARIES
1414
1415 .PRECIOUS: Makefile
1416
1417
1418 # This target enables tests for Scilab
1419 check-local: $(top_builddir)/scilab-bin test
1420         if test -d $(mydatadir)/tests; then \
1421           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1422         fi
1423 check-code:
1424         if test -f build.xml; then \
1425                 $(ANT) checkstyle; \
1426         fi
1427         if test -x "$(SPLINT)"; then \
1428                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1429         fi
1430 @NEED_JAVA_TRUE@java:
1431 # Some configurations needs to export JAVA_HOME in the current env
1432 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1433 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1434 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1435 @NEED_JAVA_TRUE@                $(ANT); \
1436 @NEED_JAVA_TRUE@        fi
1437
1438 @NEED_JAVA_TRUE@clean-java:
1439 # Some configurations needs to export JAVA_HOME in the current env
1440 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1441 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1442 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1443 @NEED_JAVA_TRUE@                $(ANT) clean; \
1444 @NEED_JAVA_TRUE@        fi;
1445
1446 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1447 # We call the target swig-build on the variable SWIG_WRAPPERS
1448
1449 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1450 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1451 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1452 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1453 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1454 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1455 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1456 @SWIG_TRUE@             done; \
1457 @SWIG_TRUE@     fi
1458
1459 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1460 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1461 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1462 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1463 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1464 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1465 @SWIG_TRUE@             done; \
1466 @SWIG_TRUE@     fi
1467
1468 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1469 # We call the target swig-build on the variable SWIG_WRAPPERS
1470
1471 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1472 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1473 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1474 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1475 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1476 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1477 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1478 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1479 @GIWS_TRUE@                     else \
1480 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1481 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1482 @GIWS_TRUE@                     fi \
1483 @GIWS_TRUE@             done; \
1484 @GIWS_TRUE@     fi
1485
1486 @GIWS_TRUE@giws-exception:
1487 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1488 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1489 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1490
1491 macros:
1492         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1493                 echo "Error : Cannot build $< : Scilab has not been built"; \
1494         else \
1495                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1496         fi)
1497
1498 # Removes the macros
1499 clean-macros:
1500 # Removes macros (*.bin generated from .sci)
1501         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1502                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1503                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1504         done
1505
1506 test:
1507 # More tests could be added here
1508         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1509         if test -f build.xml -a $$USEANT -eq 1; then \
1510                 $(ANT) test; \
1511         fi
1512
1513 all-local: $(TARGETS_ALL)
1514
1515 .sci.bin:
1516         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1517         echo "Error : Cannot build $< : Scilab has not been build"; \
1518         else \
1519         echo "Creating $@"; \
1520         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1521         fi )
1522
1523 install-html-local:
1524
1525 install-data-local-local:
1526 # Mainly for javasci
1527         @if test -d $(srcdir)/javadoc; then \
1528                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1529         fi
1530 # If the user wants the help sources to be installed
1531 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1532 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1533 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1534 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1535 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1536 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1537 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1538 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1539 @INSTALL_HELP_XML_TRUE@           done ; \
1540 @INSTALL_HELP_XML_TRUE@         fi; \
1541 @INSTALL_HELP_XML_TRUE@  fi; \
1542 @INSTALL_HELP_XML_TRUE@ done; \
1543 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1544 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1545 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1546 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1547 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1548 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1549 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1550 @INSTALL_HELP_XML_TRUE@           done ; \
1551 @INSTALL_HELP_XML_TRUE@         fi; \
1552 @INSTALL_HELP_XML_TRUE@ fi
1553 install-data-local:
1554 # Install the tests
1555         @echo "-------- Install tests (if any) --------"; \
1556         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1557           if test -d $(srcdir)/$$dir/; then \
1558             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1559                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1560                     if test -d "$(srcdir)/$$dir/$$file"; then \
1561                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1562                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1563                     else \
1564                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1565                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1566                     fi \
1567                   done; \
1568           fi; \
1569         done
1570 # Install the help chapter
1571         @echo "-------- Install the help chapter (if any) --------"; \
1572         for lang in $(HELP_CHAPTERLANG); do \
1573                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1574                 if test -f $$HELPFILE; then \
1575                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1576                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1577                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1578                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1579                 fi; \
1580         done
1581 # Install the demos & examples
1582         @echo "-------- Install demos & examples (if any) --------"; \
1583         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1584           if test -d $(srcdir)/$$dir/; then \
1585             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1586                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1587                     if test -d "$(srcdir)/$$dir/$$file"; then \
1588                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1589                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1590                     else \
1591                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1592                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1593                     fi \
1594                   done; \
1595           fi; \
1596         done
1597 # Install the macros
1598         @echo "-------- Install macros (if any) --------"; \
1599         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1600           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1601                 if test -d $(srcdir)/$$dir/; then \
1602                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1603                         if test -n "$(MACROSSPECIALEXT)"; then \
1604                                 specialExtDir=""; \
1605                                 for specialExt in $(MACROSSPECIALEXT); do \
1606                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1607                                 done; \
1608                                 FILELIST="$$FILELIST $$specialExtDir"; \
1609                         fi; \
1610                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1611                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1612                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1613                   done; \
1614                 fi; \
1615         done
1616 # Install java files (.jar)
1617         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1618         echo "-------- Install jar files --------"; \
1619     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1620           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1621                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1622                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1623           done ; \
1624         fi
1625
1626 ########### CLEAN ###################
1627 # Clean help (generated automatically by Scilab)
1628 # It used to clean the macro (clean-macros) but this was causing
1629 # make clean && make to fail Scilab startup
1630 @NEED_JAVA_TRUE@clean-local: clean-java
1631 @NEED_JAVA_FALSE@clean-local:
1632
1633 distclean-local:
1634         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1635
1636 .PHONY: macros java swig giws
1637
1638 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1639 # Otherwise a system limit (for SysV at least) may be exceeded.
1640 .NOEXPORT: